#
# spec file for package docbook-dsssl-stylesheets (Version 1.72)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         docbook-dsssl-stylesheets
Copyright:    free (c) Norman Walsh
Group:      Applications/Publishing
Autoreqprov:  on
BuildArchitectures: noarch
Summary:      DSSSL Stylesheets for the DocBook DTD
Version:      1.72
Release:      36
%define my_version %{version}
Source0: http://prdownloads.sourceforge.net/docbook/docbook-dsssl-%{version}.tar.gz
Source1: http://prdownloads.sourceforge.net/docbook/docbook-dsssl-doc-%{version}.tar.gz
%define db2html dbtohtml.dsl
Source2: dbtohtml.dsl
%define ld2db ld2db.dsl
Source3: ld2db.dsl
Source4: README.SuSE
%define pkgdif docbkdsl.dif
Patch: docbkdsl.dif
Patch1: dbinline-dsl.diff
Requires: docbook_3 docbook_4
Obsoletes: docbkdsl
Provides: docbkdsl
# build-root shortened to help rpm/xargs
BuildRoot: %{_tmppath}/xx

%description
Using these DSSSL stylesheets you're able to convert DocBook documents
into other formats.  The output formats print (TeX und RTF) and HTML
are available.
The stylesheets are customizable; thus within limits it's possible to
adapt them for your own needs.  Numerous nativae languages are
supported.

Authors:
--------
    Norman Walsh <ndw@nwalsh.com>

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755 -o root -g root
%prep
%setup -n docbook-dsssl-%{version} -b 1
cp -p $RPM_SOURCE_DIR/%{db2html} .
cp -p $RPM_SOURCE_DIR/%{ld2db} .
cp -p $RPM_SOURCE_DIR/README.SuSE .
%patch -p 0
%patch -P 1 -p 1

%build

%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ]; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
doc_dir=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
sgml_dir=$RPM_BUILD_ROOT%{_datadir}/sgml
sgml_config_dir=$RPM_BUILD_ROOT/var/lib/sgml
%{INSTALL_DIR} $sgml_dir/docbook/%{name}-%{my_version}
cp -a [a-z]* $sgml_dir/docbook/%{name}-%{my_version}
cp -a VERSION $sgml_dir/docbook/%{name}-%{my_version}
%{INSTALL_DIR} $doc_dir
%{INSTALL_DIR} $sgml_config_dir/%{name}-%{my_version}
%{INSTALL_DIR} $sgml_dir/Norman_Walsh/document
%{INSTALL_DIR} $sgml_dir/Norman_Walsh/dtd
%{INSTALL_DIR} $sgml_dir/IDN_nwalsh.com/dtd
sed -e 's:^  \([a-z]\):  %{_datadir}/sgml/docbook/%{name}-%{my_version}/\1:' \
    -e 's:^SGMLDECL ":SGMLDECL "%{_datadir}/sgml/docbook/%{name}-%{my_version}/:' \
    < catalog > CATALOG.docbkdsl
# echo -e "\
# CATALOG \"/var/lib/sgml/CATALOG.iso_ent\"\n\
# CATALOG \"/var/lib/sgml/CATALOG.docbk31\"\n\
# CATALOG \"/var/lib/sgml/CATALOG.docbk30\"\n\
# CATALOG \"/var/lib/sgml/CATALOG.docbk41\"\n"\
#     >> docbook/CATALOG.docbkdsl
%{INSTALL_DATA} CATALOG.docbkdsl $sgml_config_dir/CATALOG.%{name}
pushd $sgml_config_dir
ln -sf CATALOG.%{name} CATALOG.docbkdsl
popd
pushd $sgml_dir
ln -sf ../../../var/lib/sgml/CATALOG.%{name} CATALOG.%{name}
ln -sf ../../../var/lib/sgml/CATALOG.%{name} CATALOG.docbkdsl
popd
# touch file for ghost purposes
# 2001-03-26 13:05:30 CEST -ke-
install -d $RPM_BUILD_ROOT/usr/share/doc/packages/
touch $RPM_BUILD_ROOT/usr/share/doc/packages/docbkdsl
touch $RPM_BUILD_ROOT/var/lib/sgml/docbkdsl
touch $RPM_BUILD_ROOT/usr/share/sgml/docbkdsl
# documentation
# pushd docbook
  %{INSTALL_DATA} README $doc_dir/README
  %{INSTALL_DATA} BUGS $doc_dir/BUGS
  %{INSTALL_DATA} TODO $doc_dir/TODO
  %{INSTALL_DATA} WhatsNew $doc_dir/WhatsNew
# popd
# misc
%{INSTALL_DIR} $sgml_dir/docbook/%{name}-%{my_version}/misc
cp %{db2html} $sgml_dir/docbook/%{name}-%{my_version}/misc
cp %{ld2db} $sgml_dir/docbook/%{name}-%{my_version}/misc
# cp index.html $doc_dir
cp -p README.SuSE $doc_dir
pushd common
  rm -f $sgml_dir/docbook/%{name}-%{my_version}/common/dbl1*.dsl
  rm -f $sgml_dir/docbook/%{name}-%{my_version}/common/*.ent
  %{INSTALL_DATA} dbl1*.dsl $sgml_config_dir/%{name}-%{my_version}
  %{INSTALL_DATA} *.ent $sgml_config_dir/%{name}-%{my_version}
popd
pushd $sgml_dir/docbook/%{name}-%{my_version}/common
  ln -sf ../../../../../../var/lib/sgml/%{name}-%{my_version}/*.{dsl,ent} .
popd
pushd $sgml_dir/docbook
  rm -f %{name}
  ln -sf %{name}-%{version} %{name}
popd

%pre

%post
D=usr/share/sgml
# remove empty dir if present (from ghost)
rmdir $D/docbkdsl >/dev/null 2>&1
if [ ! -d $D/docbkdsl ]; then
  pushd $D >/dev/null
  [ -L docbkdsl ] && rm -f $D/docbkdsl
  # compatibility link; should go away with SuSE Linux 8.0
  ln -fs docbook/%{name}-%{my_version} docbkdsl
  popd >/dev/null
fi
D=var/lib/sgml
# remove empty dir if present (from ghost)
rmdir $D/docbkdsl >/dev/null 2>&1
if [ ! -d $D/docbkdsl ]; then
  pushd $D >/dev/null
  [ -L docbkdsl ] && rm -f $D/docbkdsl
  # compatibility link; should go away with SuSE Linux 8.0
  ln -fs %{name}-%{my_version} docbkdsl
  popd >/dev/null
fi
D=usr/share/sgml/docbook
# remove empty dir if present (from ghost)
rmdir $D/%{name} >/dev/null 2>&1
if [ ! -d $D/%{name} ]; then
  pushd $D >/dev/null
  [ -L %{name} ] && rm -f %{name}
  # compatibility link
  ln -fs %{name}-%{my_version} %{name}
  popd >/dev/null
fi

%preun
# IFAIK, because of %ghost not needed anymore -ke-
# if [ -d usr/share/doc/packages/docbkdsl ]; then
#   D=usr/share/doc/packages/docbkdsl
#   for ndir in frames html test ; do
#     if [ -L $D/$ndir ]; then
#       rm -f $D/$ndir
#     fi
#   done
# fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%ghost /usr/share/doc/packages/docbkdsl
%ghost /var/lib/sgml/docbkdsl
%ghost /usr/share/sgml/docbkdsl
%config /var/lib/sgml/CATALOG.%{name}
/var/lib/sgml/CATALOG.docbkdsl
%dir /var/lib/sgml/%{name}-%{my_version}
%config /var/lib/sgml/%{name}-%{my_version}/*.dsl
%config /var/lib/sgml/%{name}-%{my_version}/*.ent
%{_datadir}/sgml/CATALOG.*
%ghost %{_datadir}/sgml/docbook/%{name}
%{_datadir}/sgml/docbook/%{name}-%{my_version}
%{_defaultdocdir}/%{name}
# %{_datadir}/sgml/Norman_Walsh/document/*
# %{_datadir}/sgml/Norman_Walsh/dtd/*
# /DocBook_Print_Stylesheet
# /usr/share/sgml/Norman_Walsh/document/DocBook_HTML_Stylesheet
# /usr/share/sgml/Norman_Walsh/document/DSSSL_Library
# /usr/share/sgml/Norman_Walsh/dtd/DocBook_OLink_Summary_V1.0
# /usr/share/sgml/Norman_Walsh/dtd/DocBook_HTML_1.0
# %{_datadir}/sgml/IDN_nwalsh.com/*

%changelog -n docbook-dsssl-stylesheets
* Thu Oct 18 2001 - ke@suse.de
- For HTML output process "emphasis" elements correctly; apply
  http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/docbook/dsssl/html/dbinline.dsl.diff?r1=1.5&r2=1.6.
  Reported by Ulrich Windl [# 11886].
* Tue Aug 07 2001 - ke@suse.de
- Update to version 1.72.
* Thu Jul 12 2001 - ke@suse.de
- Update to version 1.71 (experimental).
- Adjust .spec file (now we've proper .tar.gz files instead of .zip
  files).
- Provide an additional convenience link through %%post.
* Thu Mar 29 2001 - ro@suse.de
- tweaked postinstall again.
* Wed Mar 28 2001 - ro@suse.de
- fixed postinstall
- redefining version macro is dangerous.
* Mon Mar 26 2001 - ke@suse.de
- Rename package: docbkdsl -> docbook-dsssl-stylesheets.
- Provide compatibility links.
- Adjust README.SuSE.
* Mon Mar 19 2001 - ke@suse.de
- Update to version 1.64
* Thu Feb 01 2001 - ke@suse.de
- Update to version 1.62.
* Mon Dec 18 2000 - ke@suse.de
- Update to version 1.60 (to fix a TOC creation bug).
* Thu Nov 02 2000 - ke@suse.de
- Update to version 1.59.
- spec file cleanup (more macros); reduce CATALOG file.
* Fri Sep 22 2000 - ke@suse.de
- Update to version 1.57.
* Wed Aug 16 2000 - ke@suse.de
- Update to version 1.56.
- Require docbk30 and docbk_4.
* Tue May 30 2000 - ke@suse.de
- Update to version 1.54.
- Use %%{_defaultdocdir}
* Fri Jan 28 2000 - ke@suse.de
- Update to version 1.52.
- Add groupt tag.
- User %%version macro.
- Apply patch from Norm Walsh to correct a typo.
* Fri Dec 17 1999 - ke@suse.de
- Update: 1.49 (bugfix release).
* Sun Oct 24 1999 - ke@suse.de
- Update: 1.46 (bugfix release).
- Mark the package as "noarch".
* Fri Oct 01 1999 - ke@suse.de
- Update: 1.45.
- Fix check marco.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - ke@suse.de
- Update: version 1.43.
- Add `Check'.
* Mon Jul 12 1999 - ke@suse.de
- Update: version 1.42 (bugfix release).
* Tue Jun 29 1999 - ke@suse.de
- Update: version 1.41.
* Wed Apr 21 1999 - ke@suse.de
- Update: version 1.40.
* Thu Apr 08 1999 - ke@suse.de
- Update: version 1.38b.
* Sun Mar 28 1999 - ke@suse.de
- Add the stylesheet ld2db.dsl from SGMLtools.
* Sun Mar 21 1999 - ke@suse.de
- Update: version 1.37.
* Fri Mar 12 1999 - ke@suse.de
- Take care about usr/doc/packages/docbkdsl/* links (%%post, &preun).
- Don't install the broken index.html.
* Tue Dec 08 1998 - ke@suse.de
- Update: version 1.28.
- Install the collateindex.pl library as a data file under .../share/...
* Tue Nov 24 1998 - ke@suse.de
- Update: version 1.24.
- Update: dbtohtml.dsl.
- Fix typo in CATALOG.docbkdsl (refer CATALOG.dokbk30).
* Fri Nov 13 1998 - bs@suse.de
- removed trailing blanks (problem with new rpm)
* Fri Nov 06 1998 - ke@suse.de
- Update: version 1.23 (bug fix release).
* Thu Nov 05 1998 - ke@suse.de
- Update: version 1.22.
* Mon Oct 26 1998 - ke@suse.de
- Formerly, this software was part of the package `dokbk30'.
  Version 1.19.
